Skip to content

Service

All operations require authentication.

9 operationsv1/dbaas/logs
Agent setup

List Logs Data Platform servicesProduction

GET
/1.0/dbaas/logs

Returns the Logs Data Platform services of the account.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a Logs Data Platform serviceProduction

GET
/1.0/dbaas/logs/{serviceName}

Returns the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Response

200ServiceWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Service creation

displayName
read-only
string

Service custom name

iam
read-only
ResourceMetadata

IAM resource metadata

isClusterOwner
read-only
boolean

If set, can perform extra action on cluster

isIamEnabled
read-only
boolean

Is IAM enabled for this service?

plan
read-only
ServicePlanEnum

Service plan

ValuesENTERPRISESTANDARD
serviceName
read-only
string

Service name

state
read-only
ServiceStateEnum

Service state

ValuesDISABLEDENABLEDINITTO_CONFIG
updatedAt
read-only
stringdate-time

Service last update

username
read-only
string

Username on DBaaS Logs

404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isClusterOwner": true, "isIamEnabled": true, "plan": "ENTERPRISE", "serviceName": "string", "state": "DISABLED", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}

Get service informationProduction

GET
/1.0/dbaas/logs/{serviceName}/serviceInfos

Returns the billing and contact information of the service.

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

List service URLsProduction

GET
/1.0/dbaas/logs/{serviceName}/url

Returns the URLs exposed by the service.

Path parameters

serviceName
required
string

Service name

Response

200Url[]successful operation
address
read-only
string

Web URI

type
read-only
UrlTypeEnum

Service type

ValuesCONSOLEELASTICSEARCH_APIGRAYLOG_APIGRAYLOG_WEBUIHTTP_GELFHTTP_TLS_GELFKIBANA_WEBUIOPENSEARCH_APIOSD_WEBUIPROMETHEUS_APISERVICE_DOMAINTCP_BEATSTCP_CAP_N_PROTOTCP_GELFTCP_LTSV_LINETCP_LTSV_NULTCP_RFC5424TCP_TLS_BEATSTCP_TLS_CAP_N_PROTOTCP_TLS_GELFTCP_TLS_LTSV_LINETCP_TLS_LTSV_NULTCP_TLS_RFC5424UDP_CAP_N_PROTOUDP_GELFUDP_LTSV_LINEUDP_LTSV_NULUDP_RFC5424WEB_SOCKET
404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "address": "string", "type": "CONSOLE" }]

Get service metrics credentialsProduction

GET
/1.0/dbaas/logs/{serviceName}/metrics

Returns the credentials used to read the service metrics.

Path parameters

serviceName
required
string

Service name

Response

200ServiceMetricsuccessful operation
host
read-only
string

Metrics server url

token
read-only
string

Metrics credentials

404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/metrics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "host": "string", "token": "string"}

Change the service contactProduction

POST
/1.0/dbaas/logs/{serviceName}/changeContact

Starts a procedure to change the admin, tech, or billing contact of the service.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Change the service passwordDeprecated

POST
/1.0/dbaas/logs/{serviceName}/user/changePassword

Deprecated since Sep 17, 2025, will be removed on Sep 17, 2026.

Changes the password used to sign in to the service.

Path parameters

serviceName
required
string

Service name

Request body (required)

password
required
stringpassword

Password must be at least 12 characters long contain a number, an uppercase, a lowercase and a special letter

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/user/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update a Logs Data Platform serviceProduction

PUT
/1.0/dbaas/logs/{serviceName}

Updates the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Request body (required)

displayName
string

Service custom name

enableIam
boolean

Enable IAM for this service

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Update service informationProduction

PUT
/1.0/dbaas/logs/{serviceName}/serviceInfos

Updates the renewal settings of the service.

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"